# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  # The most common configuration options are documented and commented below.
  # For a complete reference, please see the online documentation at
  # https://docs.vagrantup.com.

  config.vm.box = "debian/contrib-buster64"

  #Windows 10 now refuse to open port below 2222, remapping ssh
  config.vm.network :forwarded_port, guest: 22, host: 4444, id: "ssh"

  config.vm.provision "ansible_local" do |ansible|
      ansible.verbose = "v"
      ansible.playbook = "playbook.yml"
      ansible.install_mode = "pip3"
  end


end

#load optional vagrantfiles
vagrantfiles = Dir["opt/*.vagrant"] 
vagrantfiles.each do |vagrantfile|
  load File.expand_path(vagrantfile) if File.exists?(vagrantfile)
end

#load local vagrantfiles
vagrantfiles = Dir["opt/local/*.vagrant"] 
vagrantfiles.each do |vagrantfile|
    load File.expand_path(vagrantfile) if File.exists?(vagrantfile)
end
